Get one Lidarr metadata profile
const url = 'https://example.com/api/v1/pcd/1/lidarr-metadata-profiles/1';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/pcd/1/lidarr-metadata-profiles/1Returns a single Lidarr metadata profile by local profile id.
Payloads are the PCD contract used by runtime sync and portable operations, not the Lidarr API payload shape.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Local metadata profile id
Responses
Section titled “Responses”Metadata profile
object
Local profile id in PCD cache
Optional Praxrr-only description for local documentation.
Last profile update timestamp in the PCD cache
object
Lidarr primary/secondary album type id in read models
Lidarr album type name
Whether the type is selected
object
Lidarr primary/secondary album type id in read models
Lidarr album type name
Whether the type is selected
object
Lidarr release status id in read models
Lidarr release status name
Whether the status is selected
Examplegenerated
{ "id": 1, "name": "example", "description": "example", "updated_at": "example", "primaryTypes": [ { "type_id": 1, "name": "example", "allowed": true } ], "secondaryTypes": [ { "type_id": 1, "name": "example", "allowed": true } ], "releaseStatuses": [ { "status_id": 1, "name": "example", "allowed": true } ]}Missing or invalid parameters
object
Optional machine-readable error code, for example sync_in_progress or preview_stale
Examplegenerated
{ "error": "example", "code": "example"}Database or profile not found
object
Optional machine-readable error code, for example sync_in_progress or preview_stale
Examplegenerated
{ "error": "example", "code": "example"}Failed to read profile
object
Optional machine-readable error code, for example sync_in_progress or preview_stale
Examplegenerated
{ "error": "example", "code": "example"}